Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j2meunit.examples.midp
Class ExampleTestMidlet

    java.lang.Object
      |
      +--javax.microedition.midlet.MIDlet
            |
            +--j2meunit.midletui.TestRunner
                  |
                  +--j2meunit.examples.midp.ExampleTestMidlet

All Implemented Interfaces:
  TestListener

public class ExampleTestMidlet
extends TestRunner

Example MIDlet TestRunner that overloads the startApp() method and invokes start() with the names of the classes to test. This can be achieved also by setting the JAD file attribute J2MEUnitTestClasses with the names of the classes to test and then invoke the superclass j2meunit.midletui.TestRunner directly without subclassing it.

Author:
  eso

Field Summary

Fields inherited from class j2meunit.midletui.TestRunner
`aErrorInfo, aFailureInfo, aProgressBar, aResult, aResultsList, aWriter, bScreenOutput, bTextOutput, nCount, theInstance`

Constructor Summary
`ExampleTestMidlet()` ExampleTestRunner constructor comment.

Method Summary
`protected void` | `startApp()` startApp.

Methods inherited from class j2meunit.midletui.TestRunner
`addError, addFailure, addToResultsList, addToResultsList, createTestSuite, destroyApp, doRun, endTest, endTestStep, getInstance, getResultsList, getWriter, pauseApp, print, printErrors, printFailures, printFooter, printHeader, setOutputMode, setWriter, showResult, start, startTest`

Methods inherited from class javax.microedition.midlet.MIDlet
`getAppProperty, notifyDestroyed, notifyPaused, resumeRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExampleTestMidlet

    public ExampleTestMidlet()

  ExampleTestRunner constructor comment.

Method Detail

### startApp

    protected void startApp()

  startApp.

  Overrides:
    `startApp` in class `TestRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD